| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
globjects::StringTemplate Class Reference

`#include <globjects/include/globjects/base/StringTemplate.h>`

Inheritance diagram for globjects::StringTemplate:

## Public Member Functions
| StringTemplate (AbstractStringSource *source)
virtual std::string | string () const override
virtual void | update () override
void | replace (const std::string &original, const std::string &str)
void | replace (const std::string &original, int i)
void | clearReplacements ()
Public Member Functions inherited from globjects::StringSourceDecorator
| StringSourceDecorator (globjects::AbstractStringSource *source)
Public Member Functions inherited from globjects::AbstractStringSource
virtual std::vector< std::string > | strings () const
std::vector< const AbstractStringSource * > | flatten () const
virtual void | flattenInto (std::vector< const AbstractStringSource *> &vector) const
virtual std::string | shortInfo () const
Public Member Functions inherited from globjects::Referenced
| Referenced ()
void | ref () const
void | unref () const
int | refCounter () const
Public Member Functions inherited from globjects::HeapOnly
| HeapOnly ()
void | destroy () const
Public Member Functions inherited from globjects::Changeable
void | changed () const
void | registerListener (ChangeListener *listener)
void | deregisterListener (ChangeListener *listener)

## Protected Member Functions
virtual | ~StringTemplate ()
void | invalidate ()
std::string | modifiedSource () const
Protected Member Functions inherited from globjects::StringSourceDecorator
virtual | ~StringSourceDecorator ()
virtual void | notifyChanged (const Changeable *changeable) override
Protected Member Functions inherited from globjects::Referenced
virtual | ~Referenced ()
Protected Member Functions inherited from globjects::HeapOnly
virtual | ~HeapOnly ()
Protected Member Functions inherited from globjects::ChangeListener
virtual | ~ChangeListener ()

## Protected Attributes
std::string | m_modifiedSource
bool | m_modifiedSourceValid
std::map< std::string, std::string > | m_replacements
Protected Attributes inherited from globjects::StringSourceDecorator
globjects::ref_ptr< globjects::AbstractStringSource > | m_internal

## Constructor & Destructor Documentation

## ◆ StringTemplate()

globjects::StringTemplate::StringTemplate | ( | AbstractStringSource * | source | ) |

## ◆ ~StringTemplate()

virtual globjects::StringTemplate::~StringTemplate | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ string()

virtual std::string globjects::StringTemplate::string | ( |  | ) | const
| override virtual

Implements globjects::AbstractStringSource.

## ◆ update()

virtual void globjects::StringTemplate::update | ( |  | ) |
| override virtual

Reimplemented from globjects::StringSourceDecorator.

## ◆ replace() [1/2]

void globjects::StringTemplate::replace | ( | const std::string & | original,
|  | const std::string & | str
| ) |  |

## ◆ replace() [2/2]

void globjects::StringTemplate::replace | ( | const std::string & | original,
|  | int | i
| ) |  |

## ◆ clearReplacements()

void globjects::StringTemplate::clearReplacements | ( |  | ) |

## ◆ invalidate()

void globjects::StringTemplate::invalidate | ( |  | ) |
| protected

## ◆ modifiedSource()

std::string globjects::StringTemplate::modifiedSource | ( |  | ) | const
| protected

## Member Data Documentation

## ◆ m_modifiedSource

std::string globjects::StringTemplate::m_modifiedSource
| mutable protected

## ◆ m_modifiedSourceValid

bool globjects::StringTemplate::m_modifiedSourceValid
| mutable protected

## ◆ m_replacements

std::map<std::string, std::string> globjects::StringTemplate::m_replacements
| protected

The documentation for this class was generated from the following file:

- StringTemplate.h